<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $fecha_alma=extraerfechamysql($fecha_alma);
  $existecod=$objPer->ExisteKardex($id_combus);  
if($existecod==""){		
	$objPer->registrarAlma($id_combus,$fecha_alma,$hora_alma,'I',0,$ingreso_alma,$ingreso_alma);  
	$objPer->UpdateCombus($id_combus,$ingreso_alma);		
}else{
	$resultado=$objPer->getKardexUltimoMov($id_combus);
	$fila=$objPer->NextRow($resultado);
	$ult=$fila['id_alma'];
	$resultados=$objPer->getKardexUltimoReg($ult);
	$filas=$objPer->NextRow($resultados);
	$saldoact_ant=$filas['saldoact_alma'];
	$fecha_ant=$filas['fecha_alma'];
	
	//if($fecha_alma>=$fecha_ant){
	$saldoact_alma=$ingreso_alma+$saldoact_ant;
	$objPer->registrarAlma($id_combus,$fecha_alma,$hora_alma,'I',$saldoact_ant,$ingreso_alma,$saldoact_alma);  
	$objPer->UpdateCombus($id_combus,$saldoact_alma);
	/*}else{
	$saldoact_alma=$ingreso_alma+$saldoact_ant;
	$objPer->registrarAlma($id_combus,$fecha_alma,$hora_alma,'I',$saldoact_ant,$ingreso_alma,$saldoact_alma);  
	$objPer->UpdateCombus($id_combus,$saldoact_alma);
	}*/
}  
Redirigir("../cvp_ingreini_combus_alma.php");  
?>